This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1260796 - Thunderbolt display not detected with kernel 4.1, 4.2, but works with kernel 4.0
Thunderbolt display not detected with kernel 4.1, 4.2, but works with kernel 4.0
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-07 16:25 EDT by Daniël van Eeden
Modified: 2016-07-19 13:48 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:48:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dmesg + lspci (77.52 KB, text/plain)
2015-09-25 05:14 EDT, Radu Andries
no flags Details

  None (edit)
Description Daniël van Eeden 2015-09-07 16:25:37 EDT
Description of problem:
A display connected via a thunderbolt hub (Belkin) was working with kernel 4.0 (and earlier) but is not detected with kernel 4.1

Version-Release number of selected component (if applicable):
4.1.6-200.fc22.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Hardware:
MacBook Pro Retina with intel graphics (Intel Corporation Haswell-ULT Integrated Graphics Controller)

This is with Xorg, not (yet) tested with Wayland, but I don't expect to see a difference there.

The Belkin thunderbolt hub does work for:
- USB Keyboard (Fresco Logic Device 1100)
- Network card (Broadcom Corporation NetXtreme BCM57762 Gigabit Ethernet PCIe)
It also has firewire (LSI Corporation FW643 [TrueFire] PCIe 1394b Controller), but I don't have any firewire equipment.

I also have another display connected via displayport to the other thunderbolt connection and that works. Also the HDMI connection also works properly.
Comment 1 Daniël van Eeden 2015-09-08 02:36:13 EDT
With kernel 4.1.6-200.fc22.x86_64 I see this if I unplug the display which is connected via the belkin thunderbolt hub (the screen isn't working):
Sep 08 08:32:48 dve-mac kernel: thunderbolt 0000:07:00.0: resetting error on 3:b.
Sep 08 08:32:48 dve-mac kernel: thunderbolt 0000:07:00.0: resetting error on 3:b.
Sep 08 08:32:48 dve-mac kernel: thunderbolt 0000:07:00.0: 3:b: got unplug event for disconnected port, ignoring
Sep 08 08:32:48 dve-mac kernel: thunderbolt 0000:07:00.0: 3:b: got unplug event for disconnected port, ignoring

Asnd when I plug it in again:
Sep 08 08:32:55 dve-mac kernel: thunderbolt 0000:07:00.0: resetting error on 3:b.
Sep 08 08:32:55 dve-mac kernel: thunderbolt 0000:07:00.0: 3:b: hotplug: scanning
Sep 08 08:32:55 dve-mac kernel: thunderbolt 0000:07:00.0: 3:b: hotplug: no switch found
Sep 08 08:32:55 dve-mac kernel: thunderbolt 0000:07:00.0: resetting error on 3:b.
Sep 08 08:32:55 dve-mac kernel: thunderbolt 0000:07:00.0: 3:b: hotplug: scanning
Sep 08 08:32:55 dve-mac kernel: thunderbolt 0000:07:00.0: 3:b: hotplug: no switch found

This is the thunderbold device:
[dvaneeden@dve-mac ~]$ sudo lspci -v -s 0000:07:00.0
07:00.0 System peripheral: Intel Corporation Device 156c
	Subsystem: Device 2222:1111
	Physical Slot: 0
	Flags: bus master, fast devsel, latency 0, IRQ 64
	Memory at b0b00000 (32-bit, non-prefetchable) [size=256K]
	Memory at b0b40000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [80] Power Management version 3
	Capabilities: [88] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [c0] Express Endpoint, MSI 00
	Capabilities: [a0] MSI-X: Enable- Count=16 Masked-
	Capabilities: [100] Device Serial Number 03-02-60-72-2a-b7-d0-00
	Capabilities: [200] Advanced Error Reporting
	Capabilities: [300] Virtual Channel
	Capabilities: [400] Power Budgeting <?>
	Capabilities: [500] Vendor Specific Information: ID=1234 Rev=1 Len=050 <?>
	Capabilities: [600] Latency Tolerance Reporting
	Kernel driver in use: thunderbolt
	Kernel modules: thunderbolt
Comment 2 Radu Andries 2015-09-25 05:12:34 EDT
This is an upstream bug. Have the same exact issue on another distro with kernel 4.1.6

Hardware: Mac Mini

Attachments of dmesg and lspci in the following comments.
Comment 3 Radu Andries 2015-09-25 05:14 EDT
Created attachment 1076960 [details]
Dmesg + lspci

Logs
Comment 4 Daniël van Eeden 2015-09-25 05:53:00 EDT
Also affects 4.1.7-200.fc22.x86_64
Comment 5 Radu Andries 2015-09-25 08:18:29 EDT
I've opened a bug on upstream's bugzilla. https://bugzilla.kernel.org/show_bug.cgi?id=104971
Comment 6 Radu Andries 2015-10-08 03:23:01 EDT
This bug should be fixed in 4.3-rc3
Comment 7 Justin M. Forbes 2015-10-20 15:44:17 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 8 Daniël van Eeden 2015-10-21 02:43:17 EDT
The issue persists with kernel 4.2.3-200.fc22.x86_64
Comment 9 Fedora End Of Life 2016-07-19 13:48:33 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.